#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "delay.h"
#include "AnalogChannelCtrl.h"
#include "usart.h"
#include "timer.h"
#include "iwdg.h"
#include "DS18B20.h"
#include "Probe.h"
#include "EXIT.h"
//////////////////////////////////////////////////////////////////////////////
// 			2203/5/X GHz_ljw 合并版
//////////////////////////////////////////////////////////////////////////////
#define RUNNING_WHERE_AT_APP 1

VersionInfo OurVersionInfo=
{
	0,//Version_MainNo
	10,//Version_SubNo
	8,//Version_ModifyNo
	0,//Version_Revision_Number
  "20230922111457",//Version_Date
	"zhaoyong",//Version_ModifierName 16byte
	"JiHeMso7000X2d5g",//Version_ModelName 32byte
	"App,ReadTemperature,newAnalogCommMode"//Version_Comment 64 byte
};

void MainInit()
{
		SCB->VTOR = FLASH_BASE | 0x20000;
    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);//设置系统中断优先级分组2
    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOB, ENABLE);//使能GPIOB时钟

    delay_init(168);		//延时初始化
		 
    IWDG_Init(4,250); //与分频数为64,重载值为500,溢出时间为1s
	
    uart_init(115200);	//串口初始化波特率
		
		AnalogChCtrl_ICPower_GPIO_Init();
		
		//delay_ms(20);
		DS18B20_Init();//DS18B20初始化

    Probe_GPIO_Init();
	
    AnalogChCtrl_GPIO_Init(); 

    //TIM3_Int_Init(5000-1,8400-1);	//定时器时钟84M，分频系数8400，所以84M/8400=10Khz的计数频率，计数5000次为500ms

		EXTIX_Init();
	
		Probes_LedCtrl(0);
		
		
		sysIsReady=1;
}

VersionInfo* GetVersion()
{
	return (VersionInfo*)(&OurVersionInfo);
}
